// db.cpp: implementation of the db class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "db.h"

namespace svp
{

cdb_tstring cdb_keygen::GetKey(long l)
{
	#ifdef _UNICODE
		unsigned short BUF[256];
		cdb_tstring sBuf(_ltow(l, BUF, 10));
	#else
		char BUF[256];
		cdb_tstring sBuf(_ltoa(l, BUF, 10));
	#endif
	return sBuf;
}

cdb_tstring cdb_keygen::GetKey(std::string s, long lMaxKeyLen)
{
	while(s.length() < lMaxKeyLen) 
	{
		s += " ";
	}
	return _bstr_t(s.data());
}

cdb_tstring cdb_keygen::GetKey(std::wstring s, long lMaxKeyLen)
{
	while(s.length() < lMaxKeyLen) 
	{
		s += L" ";
	}
	return _bstr_t(s.data());
}

cdb_tstring cdb_keygen::GetKey(LPCTSTR pString, long lMaxKeyLen)
{
	cdb_tstring s(pString);
	return GetKey(s, lMaxKeyLen);
}


}